import React from 'react';
import makeStyles from '@material-ui/styles/makeStyles';
import Tooltip from "@/commons/components/Material.Ui/Tooltip";
const COIN_IAMGE_TIPS = require("@/console/cloudelastic/assets/img/templates/icon_about_grey.png");

const useStyles = makeStyles({
    tooltipStyle: { lineHeight: "22px" ,backgroundColor: "#4D4D4D", borderRadius: "4px",padding:"8px 10px"}
});

export default props => {
    const classes = useStyles();
    const { title, marginLeft,iconWidth } = props;
    return (

        <Tooltip title={title} tooltip={classes.tooltipStyle}>
            <img src={COIN_IAMGE_TIPS} style={{ width:iconWidth || "16px", marginLeft: marginLeft || "8px" }} alt="" />
        </Tooltip>

    )
}